package cn.com.ctop.toutiao.modules.adlab.service;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import com.alibaba.fastjson.JSONObject;

public interface IPlanAnalyzeReportService {

    //更新计划目标成本
    JSONObject updateAdBid(CtopOauthToken oauthToken, JSONObject requestBody);
    //追加项目计划预算
    JSONObject updateAdBudget(CtopOauthToken oauthToken, JSONObject requestBody);
    //取消追加计划预算
    JSONObject updateAdBudgetCancel(CtopOauthToken oauthToken, JSONObject requestBody);
    //获取追加预算信息
    JSONObject getBudget(CtopOauthToken oauthToken, JSONObject requestBody);
    //获取可操作计划列表
    public static final String ADLAB_GROUP_ADS_GET="https://ad.oceanengine.com/open_api/2/adlab/group_ads/get/";
    JSONObject getGroupAds(CtopOauthToken oauthToken, JSONObject requestBody);

}
